@echo off
REM
REM     TITLE:          addtxtr.bat
REM     DATE:           25th September 1998
REM     CONTACT:        Centreline 2000 Consulting
REM                     PO Box 2000, Pershore, England, WR10 3YZ
REM                     TEL: (UK) 01386 750076
REM                     URL: www.c2000.com
REM                     EMAIL: post@c2000.com
REM
REM     (C) 1998 Centreline 2000 Consulting
REM
REM     DESC:
REM
REM     This short script is run from within the Blade Pro
REM     Environments directory and copies all the BMP files
REM     to .TEX files in the PSP Papers directory
REM
REM     In then follows through by appending the names
REM     of only the grey scale images to the index file
REM     which PSP uses.
REM
REM


set PSP="c:\Program Files\Paint Shop Pro 5"
set PAPERS="c:\Program Files\Paint Shop Pro 5\Papers"

echo About to add Blade Pro textures to Paint Shop Pro


if not exist %PAPERS%\PaperNam.idx goto missingp
if not exist lumps.bmp goto missingb

rename %PAPERS%\PaperNam.idx PaperNam.bak
copy *.bmp %PAPERS%\*.tex > NUL

echo alhambra (bp) >> PaperNew.idx
echo alhambra.tex >> PaperNew.idx
echo branches (bp) >> PaperNew.idx
echo branches.tex >> PaperNew.idx
echo burrs (bp) >> PaperNew.idx
echo burrs.tex >> PaperNew.idx
echo cow (bp) >> PaperNew.idx
echo cow.tex >> PaperNew.idx
echo crackle (bp) >> PaperNew.idx
echo crackle.tex >> PaperNew.idx
echo crumples (bp) >> PaperNew.idx
echo crumples.tex >> PaperNew.idx
echo debris (bp) >> PaperNew.idx
echo debris.tex >> PaperNew.idx
echo dendrites (bp) >> PaperNew.idx
echo dendrites.tex >> PaperNew.idx
echo dimples (bp) >> PaperNew.idx
echo dimples.tex >> PaperNew.idx
echo faience (bp) >> PaperNew.idx
echo faience.tex >> PaperNew.idx
echo fibrous (bp) >> PaperNew.idx
echo fibrous.tex >> PaperNew.idx
echo florella (bp) >> PaperNew.idx
echo florella.tex >> PaperNew.idx
echo fronds (bp) >> PaperNew.idx
echo fronds.tex >> PaperNew.idx
echo grass (bp) >> PaperNew.idx
echo grass.tex >> PaperNew.idx
echo jetsam (bp) >> PaperNew.idx
echo jetsam.tex >> PaperNew.idx
echo lattice (bp) >> PaperNew.idx
echo lattice.tex >> PaperNew.idx
echo lumps (bp) >> PaperNew.idx
echo lumps.tex >> PaperNew.idx
echo moulding (bp) >> PaperNew.idx
echo moulding.tex >> PaperNew.idx
echo network (bp) >> PaperNew.idx
echo network.tex >> PaperNew.idx
echo panel (bp) >> PaperNew.idx
echo panel.tex >> PaperNew.idx
echo Moorgrille (bp) >> PaperNew.idx
echo Moorgrille.tex >> PaperNew.idx
echo pavestones (bp) >> PaperNew.idx
echo pavestones.tex >> PaperNew.idx
echo pebbles (bp) >> PaperNew.idx
echo pebbles.tex >> PaperNew.idx
echo pits (bp) >> PaperNew.idx
echo pits.tex >> PaperNew.idx
echo plaster (bp) >> PaperNew.idx
echo plaster.tex >> PaperNew.idx
echo ringlets (bp) >> PaperNew.idx
echo ringlets.tex >> PaperNew.idx
echo ripples2 (bp) >> PaperNew.idx
echo ripples2.tex >> PaperNew.idx
echo ruffles (bp) >> PaperNew.idx
echo ruffles.tex >> PaperNew.idx
echo scales (bp) >> PaperNew.idx
echo scales.tex >> PaperNew.idx
echo scrapes (bp) >> PaperNew.idx
echo scrapes.tex >> PaperNew.idx
echo silk (bp) >> PaperNew.idx
echo silk.tex >> PaperNew.idx
echo spicules (bp) >> PaperNew.idx
echo spicules.tex >> PaperNew.idx
echo tangent (bp) >> PaperNew.idx
echo tangent.tex >> PaperNew.idx
echo TO sidewalk (bp) >> PaperNew.idx
echo TO sidewalk.tex >> PaperNew.idx
echo tumor (bp) >> PaperNew.idx
echo tumor.tex >> PaperNew.idx
echo turbulence (bp) >> PaperNew.idx
echo turbulence.tex >> PaperNew.idx
echo undergrowth (bp) >> PaperNew.idx
echo undergrowth.tex >> PaperNew.idx
echo vault (bp) >> PaperNew.idx
echo vault.tex >> PaperNew.idx


copy %PAPERS%\PaperNam.bak+PaperNew.idx %PAPERS%\PaperNam.idx > NUL
del PaperNew.idx

echo New textures now available
goto end

:missingp
echo Sorry, cannot find PaintShop Pro at c:\program files\Paint Shop Pro 5
echo Run abandoned
goto end


:missingb
echo Sorry, cannot find BMP files in this directory, this program must
echo be run from the Environments and Textures directory of Blade Pro
echo Run abandoned
goto end


:end




